package com.arms.api.almproject.strategy;

import com.arms.api.almproject.model.vo.ProjectVO;
import com.arms.api.serverinfo.model.vo.ServerInfoVO;

import java.util.List;

public class ProjectStrategyImpl {

    private ProjectStrategy projectStrategy;

    public void registerProjectStrategy(ProjectStrategy projectStrategy) {
        this.projectStrategy = projectStrategy;
    }

    public ProjectVO getProject(ServerInfoVO serverInfoVO, String projectKeyOrId) {
        return this.projectStrategy.getProject(serverInfoVO, projectKeyOrId);
    }

    public List<ProjectVO> getProjectList(ServerInfoVO serverInfoVO) {
        return this.projectStrategy.getProjectList(serverInfoVO);
    }
}